<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>DrawContext (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawContext (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawContext.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawCommandHandler.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/DrawGrid.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawContext.html" target="_top">Frames</a></li>
<li><a href="DrawContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">jdraw.framework</div>
<h2 title="Interface DrawContext" class="title">Interface DrawContext</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DrawContext</span></pre>
<div class="block">The interface DrawContext represents the context which contains and 
 presents the draw view. It contains methods to access the contained
 view and a convenience method to access the associated model.
 
 DrawContext provides methods to communicate with the context, e.g. 
 in order to display status messages and to add Menu Actions and
 tool factories.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.5</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dominik Gruntz &amp; Christoph Denzler</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework"><code>DrawView</code></a>, 
<a href="../../jdraw/framework/DrawModel.html" title="interface in jdraw.framework"><code>DrawModel</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawContext.html#addMenu-javax.swing.JMenu-">addMenu</a></span>(javax.swing.JMenu&nbsp;menu)</code>
<div class="block">Adds a menu in the editor's user interface.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawContext.html#addTool-jdraw.framework.DrawTool-">addTool</a></span>(<a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework">DrawTool</a>&nbsp;tool)</code>
<div class="block">Adds a draw tool to the editor's capabilities.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../jdraw/framework/DrawModel.html" title="interface in jdraw.framework">DrawModel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawContext.html#getModel--">getModel</a></span>()</code>
<div class="block">Returns the draw model presented by this context's view.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework">DrawTool</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawContext.html#getTool--">getTool</a></span>()</code>
<div class="block">Returns the currently active tool.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework">DrawView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawContext.html#getView--">getView</a></span>()</code>
<div class="block">Returns the context's drawing view.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawContext.html#removeMenu-javax.swing.JMenu-">removeMenu</a></span>(javax.swing.JMenu&nbsp;menu)</code>
<div class="block">Removes a menu in the editor's user interface.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawContext.html#setDefaultTool--">setDefaultTool</a></span>()</code>
<div class="block">Sets the default tool (selection and moving of figures).</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawContext.html#setTool-jdraw.framework.DrawTool-">setTool</a></span>(<a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework">DrawTool</a>&nbsp;tool)</code>
<div class="block">Sets the tool to be used.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawContext.html#showStatusText-java.lang.String-">showStatusText</a></span>(java.lang.String&nbsp;msg)</code>
<div class="block">Shows a status message in the context's user interface.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawContext.html#showView--">showView</a></span>()</code>
<div class="block">Make the view visible.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre><a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework">DrawView</a>&nbsp;getView()</pre>
<div class="block">Returns the context's drawing view.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the draw view controlled by this context</dd>
</dl>
</li>
</ul>
<a name="getModel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModel</h4>
<pre><a href="../../jdraw/framework/DrawModel.html" title="interface in jdraw.framework">DrawModel</a>&nbsp;getModel()</pre>
<div class="block">Returns the draw model presented by this context's view. Returns the same
 result as getView().getModel().</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the draw model presented by this context's view.</dd>
</dl>
</li>
</ul>
<a name="showStatusText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showStatusText</h4>
<pre>void&nbsp;showStatusText(java.lang.String&nbsp;msg)</pre>
<div class="block">Shows a status message in the context's user interface.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>msg</code> - the status message to be displayed</dd>
</dl>
</li>
</ul>
<a name="addMenu-javax.swing.JMenu-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMenu</h4>
<pre>void&nbsp;addMenu(javax.swing.JMenu&nbsp;menu)</pre>
<div class="block">Adds a menu in the editor's user interface.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>menu</code> - the menu to be added</dd>
</dl>
</li>
</ul>
<a name="removeMenu-javax.swing.JMenu-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeMenu</h4>
<pre>void&nbsp;removeMenu(javax.swing.JMenu&nbsp;menu)</pre>
<div class="block">Removes a menu in the editor's user interface.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>menu</code> - the menu to be removed</dd>
</dl>
</li>
</ul>
<a name="addTool-jdraw.framework.DrawTool-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTool</h4>
<pre>void&nbsp;addTool(<a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework">DrawTool</a>&nbsp;tool)</pre>
<div class="block">Adds a draw tool to the editor's capabilities. An editor has a list of
 tools that are available to the user. This list must guarantee that any
 tool is contained only once in the list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tool</code> - a new draw tool to add to the editor.</dd>
</dl>
</li>
</ul>
<a name="getTool--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTool</h4>
<pre><a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework">DrawTool</a>&nbsp;getTool()</pre>
<div class="block">Returns the currently active tool.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>active tool</dd>
</dl>
</li>
</ul>
<a name="setTool-jdraw.framework.DrawTool-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTool</h4>
<pre>void&nbsp;setTool(<a href="../../jdraw/framework/DrawTool.html" title="interface in jdraw.framework">DrawTool</a>&nbsp;tool)</pre>
<div class="block">Sets the tool to be used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tool</code> - tool to be used by the draw view</dd>
</dl>
</li>
</ul>
<a name="setDefaultTool--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultTool</h4>
<pre>void&nbsp;setDefaultTool()</pre>
<div class="block">Sets the default tool (selection and moving of figures).</div>
</li>
</ul>
<a name="showView--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>showView</h4>
<pre>void&nbsp;showView()</pre>
<div class="block">Make the view visible.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawContext.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawCommandHandler.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/DrawGrid.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawContext.html" target="_top">Frames</a></li>
<li><a href="DrawContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
